Analytics
Resources by type
Get resource breakdown by type (script, css, img, font, other).
bearerAuthheader
AuthorizationBearer <token>API token generated from the fastmon dashboard (Account → API Token) or at organization level (fmo_…, one that outlives its creator). Send as Authorization: Bearer fm_... or paste the full token (including its prefix) into the Authorize dialog.
org_id*Org IdFormat
uuidapplication/json- body
Request for resource breakdown by type.
time_range*Time range for the query
filters?Optional filters
Successful Response
application/json- response
Response for resource breakdown.
meta*Facts about the result
request*The request as the server resolved it
data*array<>Resource types with data
size_bytes*Size BytesTransfer size across all types, in bytes
POST
curl -X POST 'https://api.fastmon.eu/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/analytics/resource-breakdown' \ -H 'Content-Type: application/json' \ -d '{ "time_range": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }}'{ "meta": { "execution_time_ms": 0, "total": 0, "limit": 0, "offset": 0, "has_more": true, "next_cursor": "string", "sampling": { "sampling_rate": 0, "is_sampled": true, "estimated_metrics": [ "string" ] }, "is_identity_mixed": true }, "request": { "time_range": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }, "comparison_time_range": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }, "granularity": "minute", "identity": "stitch", "window_seconds": 0, "filters": {} }, "data": [ { "resource_type": "string", "size_bytes": 0, "resource_count": 0, "avg_ms": 0, "share": 0 } ], "size_bytes": 0}